using System;

namespace Vehicle
{
    class Program
    {
        static void Main(string[] args)
        {
            Vehicle[] vehicle = new Vehicle[2];

            for (int i = 0; i < vehicle.Length; i++)
            {
                Console.Write("Введите название (" + (i + 1) + ") ТО: ");
                string man = Console.ReadLine();

                Console.Write("Введите модель (" + (i + 1) + ") ТО: ");
                string model = Console.ReadLine();

                Console.Write("Введите цвет (" + (i + 1) + ") ТО: ");
                string color = Console.ReadLine();

                Console.Write("Введите расход двигателя (" + (i + 1) + ") ТО: ");
                string engine = Console.ReadLine();

                vehicle[i] = new Car(man, model, color, float.Parse(engine));
            }

            foreach (Vehicle v in vehicle)
            {
                v.FuelUp(10.0f);
            }

            vehicle[0].Move(2343);
            vehicle[1].Move(4770);

            Console.ReadKey();
        }
    }
}
